> For the complete documentation index, see [llms.txt](https://docs.seldon.ai/alibi-explain/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.seldon.ai/alibi-explain/api-reference/explainers/similarity/metrics.md).

# alibi.explainers.similarity.metrics

## Functions

### `asym_dot`

```python
asym_dot(X: numpy.ndarray, Y: numpy.ndarray, eps: float = 1e-07) -> Union[float, numpy.ndarray]
```

Computes the influence of training instances `Y` to test instances `X`. This is an asymmetric kernel. (:math:`X^T Y/\|Y\|^2`). See the `paper <https://arxiv.org/abs/2102.05262>`\_ for more details. Each of `X` and `Y` should have a leading batch dimension of size at least 1.

| Name  | Type            | Default | Description          |
| ----- | --------------- | ------- | -------------------- |
| `X`   | `numpy.ndarray` |         | Matrix of vectors.   |
| `Y`   | `numpy.ndarray` |         | Matrix of vectors.   |
| `eps` | `float`         | `1e-07` | Numerical stability. |

**Returns**

* Type: `Union[float, numpy.ndarray]`

### `cos`

```python
cos(X: numpy.ndarray, Y: numpy.ndarray, eps: float = 1e-07) -> Union[float, numpy.ndarray]
```

Computes the cosine between the vector(s) in X and vector Y. (:math:`X^T Y/\|X\|\|Y\|`). Each of `X` and `Y` should have a leading batch dimension of size at least 1.

| Name  | Type            | Default | Description          |
| ----- | --------------- | ------- | -------------------- |
| `X`   | `numpy.ndarray` |         | Matrix of vectors.   |
| `Y`   | `numpy.ndarray` |         | Matrix of vectors.   |
| `eps` | `float`         | `1e-07` | Numerical stability. |

**Returns**

* Type: `Union[float, numpy.ndarray]`

### `dot`

```python
dot(X: numpy.ndarray, Y: numpy.ndarray) -> Union[float, numpy.ndarray]
```

Performs a dot product between the vector(s) in X and vector Y. (:math:`X^T Y = \sum_i X_i Y_i`). Each of `X` and `Y` should have a leading batch dimension of size at least 1.

| Name | Type            | Default | Description        |
| ---- | --------------- | ------- | ------------------ |
| `X`  | `numpy.ndarray` |         | Matrix of vectors. |
| `Y`  | `numpy.ndarray` |         | Matrix of vectors. |

**Returns**

* Type: `Union[float, numpy.ndarray]`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.seldon.ai/alibi-explain/api-reference/explainers/similarity/metrics.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
